Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class ImageConversionDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.ImageConversionDialog

public class ImageConversionDialog extends org.eclipse.swt.widgets.Dialog
ImageConversionDialog shows a message dialog requesting user input for converting files.

Version:
  2.4 1/28/2016
Author:
  Jordan T. Henderson

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageConversionDialog(org.eclipse.swt.widgets.Shell parent, String typeFrom, String typeTo, String dir, List<FileFormat> openFiles)`
  Constructs a FileConversionDialog

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConvertedFile()`
  get the file of an image file that has been converted.
  `boolean`
  `isFileConverted()`
  if an image file has been converted.
  `void`
  `open()`
  Open the ImageConversionDialog for converting images.

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImageConversionDialog

    public ImageConversionDialog(org.eclipse.swt.widgets.Shell parent, String typeFrom, String typeTo, String dir, List<FileFormat> openFiles)
    Constructs a FileConversionDialog
    Parameters:
      `parent` - The parent shell of the dialog.
      `typeFrom` - source file type
      `typeTo` - destination file type
      `dir` - current file directory
      `openFiles` - The list of currently open files

- ## Method Details

  - ### open

    public void open()
    Open the ImageConversionDialog for converting images.

  - ### isFileConverted

    public boolean isFileConverted()
    if an image file has been converted.
    Returns:
      the state of conversion

  - ### getConvertedFile

    public String getConvertedFile()
    get the file of an image file that has been converted.
    Returns:
      the name of the converted file